DRM_VMA_NODE_SIZE(9)

NAME
drm_vma_node_size - Return size (page-based)

SYNOPSIS

unsigned long drm_vma_node_size(struct drm_vma_offset_node * node);

ARGUMENTS

node
    Node to inspect

DESCRIPTION

Return the size as number of pages for the given node. This is the same size that was passed to drm_vma_offset_add. If no offset is allocated for the node, this is 0.

RETURNS

Size of node as number of pages. 0 if the node does not have an offset allocated.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT